org.h2.expression

## Enum Aggregate.AggregateType

- java.lang.Object
- - java.lang.Enum<Aggregate.AggregateType>
  - - org.h2.expression.Aggregate.AggregateType

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<Aggregate.AggregateType>

Enclosing class:
  Aggregate

    public static enum Aggregate.AggregateType
    extends java.lang.Enum<Aggregate.AggregateType>

### Enum Constant Summary

Enum Constants
Enum Constant and Description
`ARRAY_AGG` The aggregate type for ARRAY_AGG(expression).
`AVG` The aggregate type for AVG(expression).
`BIT_AND` The aggregate type for BOOL_AND(expression).
`BIT_OR` The aggregate type for BOOL_OR(expression).
`BOOL_AND` The aggregate type for BOOL_AND(expression).
`BOOL_OR` The aggregate type for BOOL_OR(expression).
`COUNT` The aggregate type for COUNT(expression).
`COUNT_ALL` The aggregate type for COUNT(*).
`GROUP_CONCAT` The aggregate type for GROUP_CONCAT(...).
`HISTOGRAM` The aggregate type for HISTOGRAM(expression).
`MAX` The aggregate type for MAX(expression).
`MEDIAN` The aggregate type for MEDIAN(expression).
`MIN` The aggregate type for MIN(expression).
`SELECTIVITY` The aggregate type for SELECTIVITY(expression).
`STDDEV_POP` The aggregate type for STDDEV_POP(expression).
`STDDEV_SAMP` The aggregate type for STDDEV_SAMP(expression).
`SUM` The aggregate type for SUM(expression).
`VAR_POP` The aggregate type for VAR_POP(expression).
`VAR_SAMP` The aggregate type for VAR_SAMP(expression).

### Method Summary

Methods
`static Aggregate.AggregateType` `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static Aggregate.AggregateType[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### COUNT_ALL

    public static final Aggregate.AggregateType COUNT_ALL

The aggregate type for COUNT(*).

#### COUNT

    public static final Aggregate.AggregateType COUNT

The aggregate type for COUNT(expression).

#### GROUP_CONCAT

    public static final Aggregate.AggregateType GROUP_CONCAT

The aggregate type for GROUP_CONCAT(...).

#### SUM

    public static final Aggregate.AggregateType SUM

The aggregate type for SUM(expression).

#### MIN

    public static final Aggregate.AggregateType MIN

The aggregate type for MIN(expression).

#### MAX

    public static final Aggregate.AggregateType MAX

The aggregate type for MAX(expression).

#### AVG

    public static final Aggregate.AggregateType AVG

The aggregate type for AVG(expression).

#### STDDEV_POP

    public static final Aggregate.AggregateType STDDEV_POP

The aggregate type for STDDEV_POP(expression).

#### STDDEV_SAMP

    public static final Aggregate.AggregateType STDDEV_SAMP

The aggregate type for STDDEV_SAMP(expression).

#### VAR_POP

    public static final Aggregate.AggregateType VAR_POP

The aggregate type for VAR_POP(expression).

#### VAR_SAMP

    public static final Aggregate.AggregateType VAR_SAMP

The aggregate type for VAR_SAMP(expression).

#### BOOL_OR

    public static final Aggregate.AggregateType BOOL_OR

The aggregate type for BOOL_OR(expression).

#### BOOL_AND

    public static final Aggregate.AggregateType BOOL_AND

The aggregate type for BOOL_AND(expression).

#### BIT_OR

    public static final Aggregate.AggregateType BIT_OR

The aggregate type for BOOL_OR(expression).

#### BIT_AND

    public static final Aggregate.AggregateType BIT_AND

The aggregate type for BOOL_AND(expression).

#### SELECTIVITY

    public static final Aggregate.AggregateType SELECTIVITY

The aggregate type for SELECTIVITY(expression).

#### HISTOGRAM

    public static final Aggregate.AggregateType HISTOGRAM

The aggregate type for HISTOGRAM(expression).

#### MEDIAN

    public static final Aggregate.AggregateType MEDIAN

The aggregate type for MEDIAN(expression).

#### ARRAY_AGG

    public static final Aggregate.AggregateType ARRAY_AGG

The aggregate type for ARRAY_AGG(expression).

### Method Detail

#### values

    public static Aggregate.AggregateType[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (Aggregate.AggregateType c : Aggregate.AggregateType.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static Aggregate.AggregateType valueOf(java.lang.String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
  `java.lang.NullPointerException` - if the argument is null